<?php   
    /* 
    Plugin Name: Kur`ani per WordPress 
    Plugin URI: http://www.dawatools.com 
    Description: Plugini i Kur`anit per WordPress 
    Author: DawaTools 
    Version: 1.0 
    Author URI: http://www.dawatools.com 
	License: GPLv2 or later
    */  
	
	/*
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
	*/
	
global $kurani_db_version;
$kurani_db_version = "1.0";

// Parametrat e vecante per WordPressin

function parameter_queryvars( $qvars )
{
	$qvars[] = 'surja';
	$qvars[] = 'fjala';
	return $qvars;
}

function catch_plugin_template($template) {
	if( is_page_template('template.php') )
		$template = WP_PLUGIN_DIR . '/kurani/template.php';
	return $template;
}

// Pjesa e administrimit te pluginit

function kurani_admin() {  
    include('kurani_import_admin.php');  
}  
	
function kurani_admin_actions() {  
    add_options_page("Kurani", "Kurani", 1, "Kurani", "kurani_admin");  
}  

// Funksionet e aktivizimit dhe deaktivizimit te pluginit

function kdb_install() {
   global $wpdb;
   global $kurani_db_version;

   $table_name = $wpdb->prefix . "kurani";
      	
   $sql = "CREATE TABLE $table_name (
  id int(11) NOT NULL AUTO_INCREMENT,
  surja int(11) NOT NULL,
  ajeti int(11) NOT NULL,
  teksti text COLLATE utf8_unicode_ci NOT NULL,
  UNIQUE KEY id (id)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;";

   require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
   dbDelta( $sql );
 
   add_option( "kurani_db_version", $kurani_db_version );
   
   
   global $user_ID;

	$page['post_type']    = 'page';
	$page['post_content'] = '';
	$page['post_parent']  = 0;
	$page['post_author']  = $user_ID;
	$page['post_status']  = 'publish';
	$page['post_title']   = 'Kurani';
	$pageid = wp_insert_post ($page);
	if ($pageid == 0) { 
		echo "Provo te deaktivizosh dhe te aktivizosh prape pluginin!";
	} else {
		update_post_meta( $pageid, '_wp_page_template', 'template.php' );
		add_option( "idfaqeskuranit", $pageid );
	}
   
}

function kdb_uninstall() {
	wp_delete_post( get_option("idfaqeskuranit", 0 ), true );
	delete_option("idfaqeskuranit");
	unregister_widget( 'Kurani' );
}

function kdb_install_data() {
   global $wpdb;
   $table_name = $wpdb->prefix . "kurani";
   require_once('kurani_sql.php');
}
  
// ------------------------------------ Widgeti (vegla) ----------------------------------------------------

function kurani_widget() {
	register_widget( 'Kurani' );
}

class Kurani extends WP_Widget {

	function Kurani() {
		$widget_ops = array( 'classname' => 'Kurani', 'description' => 'Widget per Kuran' );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'kurani-widget' );
		
		$this->WP_Widget( 'kurani-widget', 'Kurani', $widget_ops, $control_ops );
		
		 
	}
	
	
	function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters('widget_title', $instance['titulli'] );
		echo $args['before_widget'];
		
		echo $args['before_title'];
		echo $title;
		echo $args['after_title'];
		
		$widgetid = $args['widget_id'];

		

		
		
		if($instance['shfaq_fb'] == "on") {
		
		?>
		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js" ></script>
				<script type="text/javascript" >
			function ajetet(surja) {
				jQuery.get(
				   'http://localhost/wordpress/wp-content/plugins/kurani/get.php', 
				   {
					  'action':'my_action',
					  'url':'http://www.qsi-ks.com/webi/ajax.php?ajetet='+surja
				   }, 
				   function(response){
					document.getElementById("ajeti1").innerHTML=response;
					document.getElementById("ajeti2").innerHTML=response;
					  
				   }
				);			
			}
			
			function facebook() {
				var surja0=document.forms["WidgetFormFB"]["surja0"].value;
				var ajeti1=document.forms["WidgetFormFB"]["ajeti1"].value;
				var ajeti2=document.forms["WidgetFormFB"]["ajeti2"].value;
				jQuery.get(
				   'http://localhost/wordpress/wp-content/plugins/kurani/get.php', 
				   {
					  'action':'my_action',
					  'url':'http://www.qsi-ks.com/webi/ajax.php?surja0='+surja0+'&ajeti1='+ajeti1+'&ajeti2='+ajeti2
				   }, 
				   function(response){
					window.open("http://www.facebook.com/sharer/sharer.php?s=100&p[title]=Kur%60an, "+surja0+":"+ajeti1+"-"+ajeti2+" &p[summary]="+response+"&p[url]=http://apps.facebook.com/kuraniapp/?surja="+surja0+"&p[images][0]=http://www.dawatools.com/images/kurani.png","Kur'an","menubar=no,width=1000,height=715px,toolbar=no,resizable=no");
				   }
				);			
			}
		</script>
		
		
		<?php echo '
		<form name="WidgetFormFB" action="" method="get">
		<div>
<span style="font-size:14px;font-family:Trebuchet MS;margin-left:5px;">Surja:</span><br/>
<SELECT style="margin:5px" width="15px" NAME="surja0" ID="surja0" onchange="ajetet(this.options[this.selectedIndex].value)" style="font-size:14px;font-family:Trebuchet MS;">
<OPTION VALUE="" SELECTED>
<OPTION VALUE="1">Fatiha
		<OPTION VALUE="2">Bekare
		<OPTION VALUE="3">Ali Imran
		<OPTION VALUE="4">Nisa
		<OPTION VALUE="5">Maide
		<OPTION VALUE="6">En\'am
		<OPTION VALUE="7">A\'raf
		<OPTION VALUE="8">Enfal
		<OPTION VALUE="9">Tewbe
		<OPTION VALUE="10">Junus
		<OPTION VALUE="11">Hud
		<OPTION VALUE="12">Jusuf
		<OPTION VALUE="13">Rrad
		<OPTION VALUE="14">Ibrahim
		<OPTION VALUE="15">Hixhr
		<OPTION VALUE="16">Nahl
		<OPTION VALUE="17">Isra
		<OPTION VALUE="18">Kehf
		<OPTION VALUE="19">Merjem
		<OPTION VALUE="20">Taha
		<OPTION VALUE="21">Enbija
		<OPTION VALUE="22">Haxh
		<OPTION VALUE="23">Mu\'minun
		<OPTION VALUE="24">Nur
		<OPTION VALUE="25">Furkan
		<OPTION VALUE="26">Shu\'ara
		<OPTION VALUE="27">Neml
		<OPTION VALUE="28">Kasas
		<OPTION VALUE="29">Ankebut
		<OPTION VALUE="30">Rum
		<OPTION VALUE="31">Lukman
		<OPTION VALUE="32">Sexhde
		<OPTION VALUE="33">Ahzab
		<OPTION VALUE="34">Sebe\'
		<OPTION VALUE="35">Fatir
		<OPTION VALUE="36">Jasin
		<OPTION VALUE="37">Saffat
		<OPTION VALUE="38">Saad
		<OPTION VALUE="39">Zummer
		<OPTION VALUE="40">Gafir
		<OPTION VALUE="41">Fussilet
		<OPTION VALUE="42">Shura
		<OPTION VALUE="43">Zuhruf
		<OPTION VALUE="44">Duhan
		<OPTION VALUE="45">Xhathije
		<OPTION VALUE="46">Ahkaf
		<OPTION VALUE="47">Muhammed
		<OPTION VALUE="48">Fet\'h
		<OPTION VALUE="49">Huxhurat
		<OPTION VALUE="50">Kaf
		<OPTION VALUE="51">Dharijat
		<OPTION VALUE="52">Tur
		<OPTION VALUE="53">Nexhm
		<OPTION VALUE="54">Kamer
		<OPTION VALUE="55">Rrahman
		<OPTION VALUE="56">Vakia
		<OPTION VALUE="57">Hadid
		<OPTION VALUE="58">Muxhadele
		<OPTION VALUE="59">Hashr
		<OPTION VALUE="60">Mumtehinet
		<OPTION VALUE="61">Saff
		<OPTION VALUE="62">Xhumm\'a
		<OPTION VALUE="63">Munafikun
		<OPTION VALUE="64">Tegabun
		<OPTION VALUE="65">Talak
		<OPTION VALUE="66">Tahrime
		<OPTION VALUE="67">Mulk
		<OPTION VALUE="68">Kalem
		<OPTION VALUE="69">Hakka
		<OPTION VALUE="70">Me\'arixh
		<OPTION VALUE="71">Nuh
		<OPTION VALUE="72">Xhinn
		<OPTION VALUE="73">Muzzemmil
		<OPTION VALUE="74">Mudeththir
		<OPTION VALUE="75">Kijame
		<OPTION VALUE="76">Insan
		<OPTION VALUE="77">Murselat
		<OPTION VALUE="78">Nebe\'
		<OPTION VALUE="79">Naziat
		<OPTION VALUE="80">\'Abese
		<OPTION VALUE="81">Tekwir
		<OPTION VALUE="82">Inffitar
		<OPTION VALUE="83">Mutaffifin
		<OPTION VALUE="84">Inshikak
		<OPTION VALUE="85">Buruxh
		<OPTION VALUE="86">Tarik
		<OPTION VALUE="87">A\'ala
		<OPTION VALUE="88">Gashije
		<OPTION VALUE="89">Fexhr
		<OPTION VALUE="90">Beled
		<OPTION VALUE="91">Shems
		<OPTION VALUE="92">Lejl
		<OPTION VALUE="93">Duha
		<OPTION VALUE="94">Inshirah
		<OPTION VALUE="95">Tin
		<OPTION VALUE="96">\'Alek
		<OPTION VALUE="97">Kadr
		<OPTION VALUE="98">Bejine
		<OPTION VALUE="99">Zilzal
		<OPTION VALUE="100">\'Adijat
		<OPTION VALUE="101">Kari\'ah
		<OPTION VALUE="102">Tekathur
		<OPTION VALUE="103">\'Asr
		<OPTION VALUE="104">Humeze
		<OPTION VALUE="105">Fil
		<OPTION VALUE="106">Kurejsh
		<OPTION VALUE="107">Ma\'un
		<OPTION VALUE="108">Keuther
		<OPTION VALUE="109">Kafirun
		<OPTION VALUE="110">Nasr
		<OPTION VALUE="111">Mesed
		<OPTION VALUE="112">Ihlas
		<OPTION VALUE="113">Felek
		<OPTION VALUE="114">Nas
</SELECT>

<br/>
<span style="font-size:14px;font-family:Trebuchet MS;margin-left:5px;">Prej ajetit:</span><br/><select style="margin:5px" name="ajeti3" id="ajeti1" style="font-size:14px;font-family:Trebuchet MS;"></select></td><tr/>
<br/>
<span style="font-size:14px;font-family:Trebuchet MS;margin-left:5px;">Deri tek ajeti:</span><br/></td><td><select style="margin:5px" name="ajeti3" id="ajeti2" style="font-size:14px;font-family:Trebuchet MS;"></select>
<br/>
<a style="margin:5px;" href="#" onclick="facebook()"><img src="http://www.qsi-ks.com/facebookinfo/kurani/fbshare.gif"/></a>
</div></form><br/>';
		
		}
		
		echo '
				<script type="text/javascript">
		function hapkuranin() {
			window.open("http://www.dawatools.com/lexokuran.html","Kur\'an","menubar=no,width=1000,height=715px,toolbar=no,resizable=no");
		}
		</script>
		<div><b><a style="font-size:14px;font-family:Trebuchet MS;margin-left:5px;padding-left:0;color:#000000;outline:none;" href="javascript:hapkuranin()">Kliko këtu</a></b> <span style="font-size:14px;font-family:Trebuchet MS;">për të lexuar Kur\'anin në gjuhën arabe.</span></div>
		<br/><br/>
		<form name="form1" method="get" action=""><div>
		  <label for="surja"></label>
		  		<SELECT width="15px" NAME="surja" style="width:105px;margin:5px;padding:0px;font-size:14px;font-family:Trebuchet MS;">
		<OPTION VALUE="1">Fatiha
		<OPTION VALUE="2">Bekare
		<OPTION VALUE="3">Ali Imran
		<OPTION VALUE="4">Nisa
		<OPTION VALUE="5">Maide
		<OPTION VALUE="6">En\'am
		<OPTION VALUE="7">A\'raf
		<OPTION VALUE="8">Enfal
		<OPTION VALUE="9">Tewbe
		<OPTION VALUE="10">Junus
		<OPTION VALUE="11">Hud
		<OPTION VALUE="12">Jusuf
		<OPTION VALUE="13">Rrad
		<OPTION VALUE="14">Ibrahim
		<OPTION VALUE="15">Hixhr
		<OPTION VALUE="16">Nahl
		<OPTION VALUE="17">Isra
		<OPTION VALUE="18">Kehf
		<OPTION VALUE="19">Merjem
		<OPTION VALUE="20">Taha
		<OPTION VALUE="21">Enbija
		<OPTION VALUE="22">Haxh
		<OPTION VALUE="23">Mu\'minun
		<OPTION VALUE="24">Nur
		<OPTION VALUE="25">Furkan
		<OPTION VALUE="26">Shu\'ara
		<OPTION VALUE="27">Neml
		<OPTION VALUE="28">Kasas
		<OPTION VALUE="29">Ankebut
		<OPTION VALUE="30">Rum
		<OPTION VALUE="31">Lukman
		<OPTION VALUE="32">Sexhde
		<OPTION VALUE="33">Ahzab
		<OPTION VALUE="34">Sebe\'
		<OPTION VALUE="35">Fatir
		<OPTION VALUE="36">Jasin
		<OPTION VALUE="37">Saffat
		<OPTION VALUE="38">Saad
		<OPTION VALUE="39">Zummer
		<OPTION VALUE="40">Gafir
		<OPTION VALUE="41">Fussilet
		<OPTION VALUE="42">Shura
		<OPTION VALUE="43">Zuhruf
		<OPTION VALUE="44">Duhan
		<OPTION VALUE="45">Xhathije
		<OPTION VALUE="46">Ahkaf
		<OPTION VALUE="47">Muhammed
		<OPTION VALUE="48">Fet\'h
		<OPTION VALUE="49">Huxhurat
		<OPTION VALUE="50">Kaf
		<OPTION VALUE="51">Dharijat
		<OPTION VALUE="52">Tur
		<OPTION VALUE="53">Nexhm
		<OPTION VALUE="54">Kamer
		<OPTION VALUE="55">Rrahman
		<OPTION VALUE="56">Vakia
		<OPTION VALUE="57">Hadid
		<OPTION VALUE="58">Muxhadele
		<OPTION VALUE="59">Hashr
		<OPTION VALUE="60">Mumtehinet
		<OPTION VALUE="61">Saff
		<OPTION VALUE="62">Xhumm\'a
		<OPTION VALUE="63">Munafikun
		<OPTION VALUE="64">Tegabun
		<OPTION VALUE="65">Talak
		<OPTION VALUE="66">Tahrime
		<OPTION VALUE="67">Mulk
		<OPTION VALUE="68">Kalem
		<OPTION VALUE="69">Hakka
		<OPTION VALUE="70">Me\'arixh
		<OPTION VALUE="71">Nuh
		<OPTION VALUE="72">Xhinn
		<OPTION VALUE="73">Muzzemmil
		<OPTION VALUE="74">Mudeththir
		<OPTION VALUE="75">Kijame
		<OPTION VALUE="76">Insan
		<OPTION VALUE="77">Murselat
		<OPTION VALUE="78">Nebe\'
		<OPTION VALUE="79">Naziat
		<OPTION VALUE="80">\'Abese
		<OPTION VALUE="81">Tekwir
		<OPTION VALUE="82">Inffitar
		<OPTION VALUE="83">Mutaffifin
		<OPTION VALUE="84">Inshikak
		<OPTION VALUE="85">Buruxh
		<OPTION VALUE="86">Tarik
		<OPTION VALUE="87">A\'ala
		<OPTION VALUE="88">Gashije
		<OPTION VALUE="89">Fexhr
		<OPTION VALUE="90">Beled
		<OPTION VALUE="91">Shems
		<OPTION VALUE="92">Lejl
		<OPTION VALUE="93">Duha
		<OPTION VALUE="94">Inshirah
		<OPTION VALUE="95">Tin
		<OPTION VALUE="96">\'Alek
		<OPTION VALUE="97">Kadr
		<OPTION VALUE="98">Bejine
		<OPTION VALUE="99">Zilzal
		<OPTION VALUE="100">\'Adijat
		<OPTION VALUE="101">Kari\'ah
		<OPTION VALUE="102">Tekathur
		<OPTION VALUE="103">\'Asr
		<OPTION VALUE="104">Humeze
		<OPTION VALUE="105">Fil
		<OPTION VALUE="106">Kurejsh
		<OPTION VALUE="107">Ma\'un
		<OPTION VALUE="108">Keuther
		<OPTION VALUE="109">Kafirun
		<OPTION VALUE="110">Nasr
		<OPTION VALUE="111">Mesed
		<OPTION VALUE="112">Ihlas
		<OPTION VALUE="113">Felek
		<OPTION VALUE="114">Nas
		</SELECT>
		  <input type="hidden" name="page_id" value="'.get_option("idfaqeskuranit", 0 ).'">
		  <input type="submit" name="button" id="button" value="Shfaq"></div>
		</form>';

		if($instance['shfaq_fb'] == "on") {
			echo '<br/><div><span style="font-size:14px;margin-left:5px;font-family:Trebuchet MS;">Kërko fjalë:</span>
			  <form name="myForm" action="" method="get">
			  <input style="margin-top:5px;margin-bottom:10px;margin-left:5px;width:100px;" type="text" style="font-size:14px;font-family:Trebuchet MS;" size="10" id="fjala" name="fjala" />
			  <input type="submit" name="button" id="button" value="Kërko">
			  <input type="hidden" name="page_id" value="'.get_option("idfaqeskuranit", 0 ).'"></div></form>';
		}
		
		
		
		echo $args['after_widget'];
	}
	


	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		$instance['titulli'] = strip_tags( $new_instance['titulli'] );
		$instance['shfaq_fb'] = $new_instance['shfaq_fb'];
		$instance['shfaq_kerko'] = $new_instance['shfaq_kerko'];

		return $instance;
	}

	
	function form( $instance ) {
		
		$defaults = array( 'titulli' => 'Kurani', 'shfaq_fb' => true, 'shfaq_kerko' => true );
		$instance = wp_parse_args( (array) $instance, $defaults ); 
	
		$shfaq_fb = "";
		$shfaq_kerko = "";
		
		if($instance['shfaq_fb'] == "on")  $shfaq_fb = "checked";
		if($instance['shfaq_kerko'] == "on")  $shfaq_kerko = "checked";
		
		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'titulli' ); ?>"><?php echo 'Titulli:'; ?></label>
			<input id="<?php echo $this->get_field_id( 'titulli' ); ?>" name="<?php echo $this->get_field_name( 'titulli' ); ?>" value="<?php echo $instance['titulli']; ?>" style="width:100%;" />
		</p>

		<p>
			<input class="checkbox" type="checkbox" <?php echo $shfaq_fb; ?> id="<?php echo $this->get_field_id( 'shfaq_fb' ); ?>" name="<?php echo $this->get_field_name( 'shfaq_fb' ); ?>" /> 
			<label for="<?php echo $this->get_field_id( 'shfaq_fb' ); ?>"><?php echo 'Shfaq rubriken per Facebook'; ?></label>
		</p>
	
		<p>
			<input class="checkbox" type="checkbox" <?php echo $shfaq_kerko; ?> id="<?php echo $this->get_field_id( 'shfaq_kerko' ); ?>" name="<?php echo $this->get_field_name( 'shfaq_kerko' ); ?>" /> 
			<label for="<?php echo $this->get_field_id( 'shfaq_kerko' ); ?>"><?php echo 'Shfaq rubriken Kerko'; ?></label>
		</p>
		
		<p>
		<img src="http://www.dawatools.com/images/dawatools-logo-small.png" width="100" height="53"/> 
		</p>
		
		<p>
		<a href="http://www.dawatools.com">www.dawatools.com</a> - <a href="mailto:dev@dawatools.com">dev@dawatools.com</a>
		</p>

	<?php
	}
}



// --------------------------------------------------------------------------------------------------

add_action('admin_menu', 'kurani_admin_actions'); 
add_action( 'widgets_init', 'kurani_widget' );

register_activation_hook( __FILE__, 'kdb_install' );
register_activation_hook( __FILE__, 'kdb_install_data' );
register_deactivation_hook( __FILE__, 'kdb_uninstall' );

add_filter('query_vars', 'parameter_queryvars' );
add_filter('page_template', 'catch_plugin_template');


?>